body {
  margin: 0;
  padding: 0;
  font-family: "PressStart2P";
  background-size: cover;
  overflow: hidden;
}
.letter {
  font-size: 22px;
  display: inline-block;
  min-width: 0.2em;
  color: white;
  /* font-family: "PressStart2P"; */
}
/* body h1{
    position: absolute;
    top: -2px;
    text-align: center;
    
    color: white;
    font-family: "OptimusPrinceps";
    width: 100%;
    background-color:rgba(39, 35, 35, 0.8);
    font-size: 20px;
    border-bottom: 3px solid #f75a02;
} */

.game-background-area {
  position: absolute;
  width: 100%;
  height: 100%;
  overflow: hidden;
  transition: 10s;
}

.avatar-area {
  /* float: center; */
  position: absolute;
  left: 32%;
  /* right: 35%; */
  width: 50%;
  height: 100%;
  overflow: hidden;
}

.avatar {
  float: center;
  position: absolute;
  top: 5%;
  right: 38%;
  max-width: 400px;
  overflow: hidden;
}

.text-field {
  height: 160px;
  width: 80%;
  position: absolute;
  bottom: 0px;
  left: 20%;
  text-align: left;
  font-size: 22px;
  color: white;
  /* font-family: Arial Narrow; */
  /* font-family: "PressStart2P"; */
  background-image: linear-gradient(rgb(0, 0, 0, 0.08), black);
  /* background: rgba(0, 0, 0, 0.6); */
  /* background-color: rgb(0,0,0,0.5); */
  /* padding: 10px; */
  padding: 60px;
}

.btn {
  position: absolute;
  bottom: 5px;
  right: 5px;
  border: 2px white solid;
  font-family: "Quicksand";
  /* 
  color: white;
  animation: cssAnimation 0s 5s forwards;
  opacity: 0;  */
}

/* @keyframes cssAnimation {
  to   { opacity: 1; }
} */

.graph-button {
  position: absolute;
  bottom: 10px;
  right: 100px;
  background: white;
  border: 2px solid black;
  color: black;
}

/* .health-bar {

  position: relative;
  width: fit-content;
  height: fit-content;
  margin: 2px;
  float: right;
  padding: 5px;
} */
.results {
  color: white;
  background-color: rgb(0, 0, 0, 0.5);
  position: fixed;
  top: 35px;
  right: 0px;
  width: fit-content;
  height: fit-content;
  border: 0.5px solid white;
  padding: 5px;
  border-radius: 3px;
}

.avatar-name {
  height: 160px;
  width: 20%;
  text-align: right;
  padding: 60px;
  font-size: 27px;
  color: darkgrey;
  background-image: linear-gradient(rgb(0, 0, 0, 0.08), black);
  /* background: rgba(0, 0, 0, 0.6); */
  position: absolute;
  bottom: 0px;
  left: 0px;
  font-family: "Quicksand";
}
.startBtn {
  width: 100%;
  background: white;
  border: 2px solid #f75a02;
  color: #f75a02;
  padding: 5px;
  font-size: 18px;
  cursor: pointer;
  margin: 12px 0;
}

.options-area {
  float: center;
  position: absolute;
  top: 30%;
  right: 50%;
  padding: 13px 0;
}

.options-button {
  align-items: center;
  position: relative;
  padding: 5px;
  margin: 5px;
  left: 50%;
  width: 1200px;
  height: 80px;
  /* background: grey; */
  background: rgba(0, 0, 0, 0.45);
  color: white;
  font-size: 22px;
  font-family: "Quicksand";
}

.options-button:hover {
  background-color: #304b86;
  opacity: 0.9;
  border: 2px solid #506585;
}
.options-button:active {
  background-color: #28648b;
  box-shadow: 0 5px #666;
  transform: translateY(4px);
  border: 1px solid rgb(131, 131, 131);
}

.btn:hover {
  background-color: #304b86;
  opacity: 0.9;
  border: 1px solid #657ea3;
}

.btn:active {
  background-color: #28648b;
  transform: translateY(4px);
}

.showMeterName {
  position: relative;
  content: attr(title);
  /*left: 50px;*/
  /*top: 50px;*/
  padding: 5px;
  font-size: 10px;
  /* font-weight: 20; */
  text-transform: uppercase;
  color: #ffffff;
  font-family: "PressStart2P";
}

.imageBox {
  width: 1152px;
  height: 640px;
  padding-right: 45px;
  align-items: center;
  object-fit: cover;

  display: block;
  margin-left: auto;
  margin-right: auto;
  /*width: 50%;*/
}

.an-1 {
  /* font-weight: 900; */
  color: white;
  font-size: 22px;
  font-family: "Quicksand";
}

.an-1 .letter {
  display: inline-block;
  line-height: 1em;
  font-family: "Quicksand";
}

.an-2 {
  /* font-weight: 900; */
  color: white;
  font-size: 22px;
  font-family: "Quicksand";
}

.an-2 .letter {
  display: inline-block;
  line-height: 1em;
  font-family: "Quicksand";
}

.progress {
  background: rgba(0, 0, 0, 0.6);
  /* justify-content: flex-start; */
  border-radius: 100px;
  align-items: center;
  position: relative;
  /* float: left; */
  /* padding: 5px; */
  /* display: flex; */
  /* height: 20px; */
  height: 40px;
  width: 220px;
  /* display: table; */
  /* float: left; */
  /* margin: 5px; */
}

.progress-value {
  /* animation: load 3s normal forwards; */
  /* box-shadow: 0 10px 40px -10px #fff; */
  border-radius: 0px;
  /* display: table-cell; */
  /* background: #fff; */
  /* height: 100%; */
  padding: 8px;
  text-align: right;
  float: center;
  vertical-align: middle;
  height: 40px;
  font-size: 10px;
  /* width: 60%; */
  /* cursor:pointer; */
  line-height: 0;
  color: white;
  max-width: 100%;
  min-width: 0%;
}

.progress-box:hover:after {
  position: absolute;
  content: attr(title);
  /* display: inline-block; */
  left: 50px;
  top: 50px;
  padding: 5px;
  color: rgba(0, 0, 0, 0.00001);

  /* background-color: black;
    color: white;} */
}

.progressArea {
  /* text-align: center; */
  position: relative;
  /* float:center; */
  padding: 5px;
  /* margin: 5px; */
  /* left: 50%; */
  width: 250px;
  height: 60px;
  /* background: grey; */
  background: rgba(0, 0, 0, 0.25);
  /* background: url("https://media1.giphy.com/media/8uT2QVnxTSS1a/source.gif") no-repeat; */
  /* background-image: url('https://images.picxy.com/cache/2020/9/3/a9a5b50cb9719bed8e64b1f850d4d57c.jpg'); */
  /* color:white; */
  /* font-size: 60px;
  font-family:  Arial Narrow; */

  /* border-radius: 50px; */
}
/* to expand the chart modal */

/*::ng-deep .modal {
  padding: 0 !important;
}*/

:host ::ng-deep .modal-dialog {
  height: 100% !important;
  width: 100% !important;
}

:host ::ng-deep .modal-content-wrapper {
  height: 100%;
  width: 100%;
}

:host ::ng-deep .modal-content {
  height: 100%;
  width: 100%;
}

.modal-body {
  max-height: 80vh;
  overflow-y: auto;
}

.impactbox {
  float: center;
  position: absolute;
  top: 30%;
  right: 50%;
  padding: 13px 0;

  font-size: 40px;
  font-family: "PressStart2P";
  text-transform: uppercase;
  z-index: 1;
  /*background-color: #ffffff;*/
}

.impact-word {
  text-align: center;
  position: relative;
  /* float:center; */
  padding: 26px;
  margin: 5px;
  left: 50%;
  width: 570px;
  height: 70px;
  /* background: grey; */
  background: rgba(255, 255, 255, 0.5);
  /* color:white; */
  font-size: 32px;
  font-family: "PressStart2P";
  border-radius: 50px;
}
